Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface Configuration.HandleFileResponseConfig

Enclosing interface:
  Configuration

    public static interface Configuration.HandleFileResponseConfig

Configuration used for FileAct Server.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Nested Class Summary
`static interface` | `Configuration.HandleFileResponseConfig.AckFileResponseConfig` For AckFile response.
`static interface` | `Configuration.HandleFileResponseConfig.FetchFileRequestConfig` For SnF FetchFile request.
`static interface` | `Configuration.HandleFileResponseConfig.GetFileResponseConfig` For GetFile response.
`static interface` | `Configuration.HandleFileResponseConfig.NotifyFileResponseConfig` For SnF NotifyFile response.
`static interface` | `Configuration.HandleFileResponseConfig.PutFileResponseConfig` For PutFile response.

Method Summary
`java.lang.String` | `getBlockFileTransfer()` Gets the BlockFileTransfer.
`Configuration.HandleFileResponseConfig.GetFileResponseConfig` | `getGetFile()` Parameters:None.
`Configuration.HandleFileResponseConfig.PutFileResponseConfig` | `getPutFile()` Put method for the FileResponseConfig.
`java.lang.String` | `getReceiveModeConfig()` Gets the receive mode configuration.
`Configuration.HandleFileResponseConfig.FetchFileRequestConfig` | `getSnFFetchFile()` Fetch method for the FileRequestConfig.
`Configuration.HandleFileResponseConfig.NotifyFileResponseConfig` | `getSnFNotifyFile()` Notify method for the FileResponseConfig.
`Configuration.AcquireSnFRequestConfig` | `getSnFToAcquire()` Gets the SnF to aquire.
`java.lang.String` | `getSw_EventEP()`
`java.lang.String` | `getSw_Partition()` Gets the partition name.
`java.lang.String` | `getSw_TransferKey()` Gets the Transfer Key used for the abort file operation.
`java.lang.String` | `getSwInt_NRIndicator()` Gets the NR indicator.
`java.lang.String` | `getSwInt_Responder()` Gets the responder.
`java.lang.String` | `getSwInt_ResponseCrypto()` Gets SwInt_ResponseCrypto.
`java.lang.String` | `getSwInt_ResponseRef()` Gets the response reference.
`java.lang.String` | `getSwSec_UserDN()` Gets the UserDN, (distinguished name)used to identify and authenticate the sending user.
`java.lang.String` | `getUseRemoteFileHandler()` Gets the flag UseRemoteFileHandler.
`boolean` | `isBlockFileTransfer()` Returns the BlockFileTransfer status.
`boolean` | `isReceiveModeRealTime()` Returns whether receive mode is in real time.
`boolean` | `isReceiveModeSnF()` Returns whether receive mode is SnF.
`boolean` | `isUseRemoteFileHandler()` Gets the flag UseRemoteFileHandler in boolean.
`void` | `setBlockFileTransfer(java.lang.String blockFileTransfer)` Sets the BlockFileTransfer status.
`void` | `setReceiveModeConfig(java.lang.String receiveMode)` Sets the receive mode configuration.
`void` | `setSw_Partition(java.lang.String partition)` Sets the partition name.
`void` | `setSw_TransferKey(java.lang.String transferKey)` Sets the Transfer Key used for the abort file operation.
`void` | `setSwInt_NRIndicator(java.lang.String nrIndicator)` Sets whether SwInt_NRIndicator, non-repudiation support is being used.
`void` | `setSwInt_Responder(java.lang.String responder)` Sets the SwInt_Responder, used to identify the receiving party.
`void` | `setSwInt_ResponseCrypto(java.lang.String responseCrypto)` Sets SwInt_ResponseCrypto.
`void` | `setSwInt_ResponseRef(java.lang.String responseRef)` Sets the response reference
`void` | `setSwSec_UserDN(java.lang.String userDN)` Sets the UserDN, (distinguished name)used to identify and authenticate the sending user.
`void` | `setUseRemoteFileHandler(java.lang.String useRFH)` Sets the flag UseRemoteFileHandler.
`void` | `validate()` Validates the HandleFileResponse section.

Method Detail

### getGetFile

    Configuration.HandleFileResponseConfig.GetFileResponseConfig getGetFile()
                                                                            throws SAGApplicationException

  Parameters:
    None.

  Returns:
    `GetFileResponseConfig` - Returns
  Throws:
    `SAGApplicationException` - upon error.

### getPutFile

    Configuration.HandleFileResponseConfig.PutFileResponseConfig getPutFile()
                                                                            throws SAGApplicationException

  Put method for the FileResponseConfig.

  Parameters:
    None.

  Returns:
    `PutFileResponseConfig` - Returns the PutFile request configuration.
  Throws:
    `SAGApplicationException` - upon error.

### getSnFFetchFile

    Configuration.HandleFileResponseConfig.FetchFileRequestConfig getSnFFetchFile()
                                                                                  throws SAGApplicationException

  Fetch method for the FileRequestConfig.

  Parameters:
    None.

  Returns:
    `FetchFileRequestConfig` - Returns the fetch file request configuration.
  Throws:
    `SAGApplicationException` - upon error.

### getSnFNotifyFile

    Configuration.HandleFileResponseConfig.NotifyFileResponseConfig getSnFNotifyFile()
                                                                                     throws SAGApplicationException

  Notify method for the FileResponseConfig.

  Parameters:
    None.

  Returns:
    `NotifyFileResponseConfig` - Returns the fetch file request configuration.
  Throws:
    `SAGApplicationException` - upon error.

### getSnFToAcquire

    Configuration.AcquireSnFRequestConfig getSnFToAcquire()
                                                          throws SAGApplicationException

  Gets the SnF to aquire.

  Parameters:
    None.

  Returns:
    `AcquireSnFRequestConfig` - Returns AcquireSnF request configuration.
  Throws:
    `SAGApplicationException` - upon error.

### getSwSec_UserDN

    java.lang.String getSwSec_UserDN()

  Gets the UserDN, (distinguished name)used to identify and authenticate the sending user.

  Parameters:
    None.

  Returns:
    `String` - Returns user DN.
  Throws:
    None.

### getSwInt_Responder

    java.lang.String getSwInt_Responder()

  Gets the responder.

  Parameters:
    None.

  Returns:
    `String` - Returns the responder.
  Throws:
    None.

### getSwInt_ResponseRef

    java.lang.String getSwInt_ResponseRef()

  Gets the response reference.

  Parameters:
    None.

  Returns:
    `String` - Returns the response reference.
  Throws:
    None.

### getSwInt_ResponseCrypto

    java.lang.String getSwInt_ResponseCrypto()

  Gets SwInt_ResponseCrypto. Specifies whether a (digital signature) is required.

  Parameters:
    None.

  Returns:
    `String` - Returns response incryption.
  Throws:
    None.

### getSwInt_NRIndicator

    java.lang.String getSwInt_NRIndicator()

  Gets the NR indicator. Indicates whether non-repudiation support is being used.

  Parameters:
    None.

  Returns:
    `String` - Returns NR indicator.
  Throws:
    None.

### getSw_TransferKey

    java.lang.String getSw_TransferKey()

  Gets the Transfer Key used for the abort file operation.

  Parameters:
    None.

  Returns:
    `String` - Returns the Transfer Key used for the abort file operation.
  Throws:
    None.

### getUseRemoteFileHandler

    java.lang.String getUseRemoteFileHandler()

  Gets the flag UseRemoteFileHandler. Indicate whether the file transfer will use Remote File Handler.

  Returns:
    The flag UseRemoteFileHandler.

### isUseRemoteFileHandler

    boolean isUseRemoteFileHandler()

  Gets the flag UseRemoteFileHandler in boolean. Indicate whether the file transfer will use Remote File Handler.

  Returns:
    The flag UseRemoteFileHandler in boolean.

### getSw_Partition

    java.lang.String getSw_Partition()

  Gets the partition name. Only when the control structure is for an Sw:PutFileResponse or Sw:GetFileResponse. When present, this assigns a partition name to the file transfer. The partition name is used by the Sw:ListFileStatus primitive.

  Parameters:
    None.

  Returns:
    `String` - Returns the partition name.
  Throws:
    None.

### getSw_EventEP

    java.lang.String getSw_EventEP()

### getBlockFileTransfer

    java.lang.String getBlockFileTransfer()

  Gets the BlockFileTransfer. This indicates whether the function call will finish when a final file status is returned.

  Parameters:
    None.

  Returns:
    `String` - Returns block file transfer.
  Throws:
    None.

### isBlockFileTransfer

    boolean isBlockFileTransfer()

  Returns the BlockFileTransfer status.

  Parameters:
    None.

  Returns:
    `boolean` - Returns block file transfer status.
  Throws:
    None.

### getReceiveModeConfig

    java.lang.String getReceiveModeConfig()

  Gets the receive mode configuration.

  Parameters:
    None.

  Returns:
    `String` - Returns the receive mode configuration.
  Throws:
    None.

### isReceiveModeRealTime

    boolean isReceiveModeRealTime()

  Returns whether receive mode is in real time.

  Parameters:
    None.

  Returns:
    `boolean` - Returns whether receive mode is real time.
  Throws:
    None.

### isReceiveModeSnF

    boolean isReceiveModeSnF()

  Returns whether receive mode is SnF.

  Parameters:
    None.

  Returns:
    `boolean` - Returns whether receive mode is SnF.
  Throws:
    None.

### setSwSec_UserDN

    void setSwSec_UserDN(java.lang.String userDN)
                         throws SAGApplicationException

  Sets the UserDN, (distinguished name)used to identify and authenticate the sending user.

  Parameters:
    `userDN` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_Responder

    void setSwInt_Responder(java.lang.String responder)
                            throws SAGApplicationException

  Sets the SwInt_Responder, used to identify the receiving party.

  Parameters:
    `responder` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_ResponseRef

    void setSwInt_ResponseRef(java.lang.String responseRef)
                              throws SAGApplicationException

  Sets the response reference

  Parameters:
    `responseRef` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_ResponseCrypto

    void setSwInt_ResponseCrypto(java.lang.String responseCrypto)
                                 throws SAGApplicationException

  Sets SwInt_ResponseCrypto. Specifies whether a (digital signature) is required.

  Parameters:
    `responseCrypto` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_NRIndicator

    void setSwInt_NRIndicator(java.lang.String nrIndicator)
                              throws SAGApplicationException

  Sets whether SwInt_NRIndicator, non-repudiation support is being used.

  Parameters:
    `nrIndicator` -
  Throws:
    `SAGApplicationException` - upon error.

### setSw_TransferKey

    void setSw_TransferKey(java.lang.String transferKey)
                           throws SAGApplicationException

  Sets the Transfer Key used for the abort file operation.

  Parameters:
    `transferKey` -
  Throws:
    `SAGApplicationException` - upon error.

### setUseRemoteFileHandler

    void setUseRemoteFileHandler(java.lang.String useRFH)
                                 throws SAGApplicationException

  Sets the flag UseRemoteFileHandler. Indicate whether the file transfer will use Remote File Handler

  Parameters:
    `useRFH` - TRUE or FALSE
  Throws:
    `SAGApplicationException` - upon error.

### setSw_Partition

    void setSw_Partition(java.lang.String partition)
                         throws SAGApplicationException

  Sets the partition name. Only when the control structure is for an Sw:PutFileResponse or Sw:GetFileResponse. When present, this assigns a partition name to the file transfer. The partition name is used by the Sw:ListFileStatus primitive.

  Parameters:
    `partition` -
  Throws:
    `SAGApplicationException` - upon error.

### setBlockFileTransfer

    void setBlockFileTransfer(java.lang.String blockFileTransfer)
                              throws SAGApplicationException

  Sets the BlockFileTransfer status.

  Parameters:
    `blockFileTransfer` -
  Throws:
    `SAGApplicationException` - upon error.

### setReceiveModeConfig

    void setReceiveModeConfig(java.lang.String receiveMode)
                              throws SAGApplicationException

  Sets the receive mode configuration.

  Parameters:
    `receiveMode` -
  Throws:
    `SAGApplicationException` - upon error

### validate

    void validate()
                  throws SAGApplicationException

  Validates the HandleFileResponse section.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.